caferimo-milks-post-one¶
Source¶
Repository:
jef-systems/jef-caferimo-backendSource Run ID:
24962842310Source SHA:
c73d8c4fa33c496a8e9d39267e4868ddfa8978a5Module:
caferimoDocumentation Scope:
asyncLambda:
jef-caferimo-post-7
Endpoint¶
API Name:
jef-caferimoAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/caferimo-milks-post-oneComplete Endpoint:
https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-milks-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-7curl payload mode:
json_body
API Gateway Description¶
Function: jef-caferimo-post-7
Module: jef-caferimo
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /caferimo-milks-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-caferimo-milks
Payload Example:
- milk_number: 0001
- milk_name: Whole Milk
- milk_label: Whole Milk
- milk_type: dairy
- price: 0
- is_default: True
- is_active: True
- is_deleted: False
- created_at: 2026-04-26T12:00:00Z
- updated_at: 2026-04-26T12:00:00Z
- version: 1
Payload Schema:
- milk_number: string
- milk_name: string
- milk_label: string
- milk_type: string
- price: number
- is_default: boolean
- is_active: boolean
- is_deleted: boolean
- created_at: string
- updated_at: string
- version: number
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"milk_number": "0001",
"milk_name": "Whole Milk",
"milk_label": "Whole Milk",
"milk_type": "dairy",
"price": "0",
"is_default": "True",
"is_active": "True",
"is_deleted": "False",
"created_at": "2026-04-26T12:00:00Z",
"updated_at": "2026-04-26T12:00:00Z",
"version": "1"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-milks-post-one" -H "Content-Type: application/json" --data-raw "{\"milk_number\": \"0001\", \"milk_name\": \"Whole Milk\", \"milk_label\": \"Whole Milk\", \"milk_type\": \"dairy\", \"price\": 0, \"is_default\": true, \"is_active\": true, \"is_deleted\": false, \"created_at\": \"2026-04-26T12:00:00Z\", \"updated_at\": \"2026-04-26T12:00:00Z\", \"version\": 1}"
PowerShell curl¶
curl.exe -X POST "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-milks-post-one" -H "Content-Type: application/json" --data-raw '{"milk_number": "0001", "milk_name": "Whole Milk", "milk_label": "Whole Milk", "milk_type": "dairy", "price": 0, "is_default": true, "is_active": true, "is_deleted": false, "created_at": "2026-04-26T12:00:00Z", "updated_at": "2026-04-26T12:00:00Z", "version": 1}'